Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
coupons
/
{coupon_id}
/
products
Admin Attach Product To Coupon
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/coupons/{coupon_id}/products/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "product_id": "<string>"
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "coupon_id": "<string>",
      "product_id": "<string>"
    },
    "id": "<string>",
    "type": "coupon_products"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
coupon_id
string
required

Body

application/vnd.api+json
data
CouponProductAttachResource · object
required

Response

Successful Response

data
CouponProductResource · object
required